import { type Config } from '../../core/env';
declare class ConfigManager {
    private configDirectory;
    private configPath;
    private fileManager;
    constructor(configDirectory: string);
    getAll(): Promise<Partial<Config>>;
    getItem<K extends keyof Config>(key: K): Promise<Config[K] | undefined>;
    setItem<K extends keyof Config>(key: K, value: Config[K]): Promise<void>;
}
export default ConfigManager;
