import type { Middleware } from './middlewares/types';
declare class FileManager {
    private middlewares;
    constructor(middlewares?: Middleware[]);
    isFileExist(path: string): Promise<boolean>;
    makeDirectory(path: string): Promise<void>;
    readFile(path: string): Promise<string>;
    writeFile(path: string, content: string): Promise<void>;
}
export default FileManager;
