class NetworkManager {
  config;
  constructor(config) {
    this.config = config;
  }
  async httpRequest(url) {
    const response = await fetch(url, {
      headers: {
        'User-Agent': this.config.bin + '/' + this.config.version
      },
      method: 'GET'
    });
    const content = await response.text();
    return content;
  }
}
export default NetworkManager;