import { ChatPromptTemplate } from '@langchain/core/prompts';
import { PROMPT } from "../const.js";
import Platform from "./base.js";
class BaiChuan extends Platform {
  model = 'Baichuan2-Turbo-192k';
  name = '百川智能';
  server = 'api.baichuan-ai.com';
  getPrompt() {
    return ChatPromptTemplate.fromMessages([['user', PROMPT + '\nHere is what needs to be evaluated: \n{content}']]);
  }
}
export default BaiChuan;