import { ChatZhipuAI } from '@langchain/community/chat_models/zhipuai';
import Platform from "./base.js";
class ZhiPu extends Platform {
  model = 'glm-4';
  name = '智谱清言';
  server = 'open.bigmodel.cn';
  getChatModel(apiKey) {
    return new ChatZhipuAI({
      model: this.model,
      temperature: this.temperature,
      zhipuAIApiKey: apiKey
    });
  }
}
export default ZhiPu;