import BaiChuan from './baichuan';
import MiniMax from './minimax';
import Moonshot from './moonshot';
import OpenAI from './openai';
import TongYi from './tongyi';
import ZhiPu from './zhipu';
export declare enum Platform {
    BaiChuan = "baichuan",
    MiniMax = "minimax",
    Moonshot = "moonshot",
    OpenAI = "openai",
    TongYi = "tongyi",
    ZhiPu = "zhipu"
}
export declare function getPlatform(platform: Platform): BaiChuan | MiniMax | Moonshot | OpenAI | TongYi | ZhiPu;
export declare function getAvailablePlatforms(): string[];
