import { ChatMinimax } from '@langchain/community/chat_models/minimax';
import Platform from "./base.js";
class MiniMax extends Platform {
  model = 'abab5.5-chat';
  name = 'MiniMax';
  server = 'api.minimax.chat';
  getChatModel(apiKey) {
    return new ChatMinimax({
      minimaxApiKey: apiKey,
      minimaxGroupId: '1782658868262748274',
      model: this.model,
      temperature: this.temperature
    });
  }
}
export default MiniMax;