import { ChatAlibabaTongyi } from '@langchain/community/chat_models/alibaba_tongyi';
import Platform from "./base.js";
class TongYi extends Platform {
  model = 'qwen-max';
  name = '通义千问';
  server = 'open.bigmodel.cn';
  getChatModel(apiKey) {
    return new ChatAlibabaTongyi({
      alibabaApiKey: apiKey,
      model: this.model,
      temperature: this.temperature
    });
  }
}
export default TongYi;